## game-data-packager 58

=== Makefile ===
-include configure.mk

pkgdatadir := ${gamedatadir}/game-data-packager
runtimedir := ${gamedatadir}/game-data-packager-runtime
PYFLAKES3 := $(shell if [ -x /usr/bin/pyflakes3 ] ;  then echo pyflakes3 ; \
                   elif [ -x /usr/bin/pyflakes3k ] ; then echo pyflakes3k ; \
                   elif [ -x /usr/bin/python3-pyflakes ] ; then echo python3-pyflakes ; \
                   else ls -1 /usr/bin/pyflakes-python3.* | tail -n 1 ; \
                    fi)

png_from_xpm := $(patsubst ./data/%.xpm,./out/%.png,$(wildcard ./data/*.xpm))
png_from_svg := $(patsubst ./data/%.svg,./out/%.png,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
png       := $(png_from_xpm) $(png_from_svg) out/memento-mori.png
simplified_svg := $(patsubst ./data/%.svg,./out/%.svg,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
# We deliberately don't compress and install memento-mori{,-2}.svg because
# they use features that aren't supported by librsvg, so they'd look wrong
# in all GTK-based environments.
svgz      := $(patsubst ./out/%.svg,./out/%.svgz,$(filter-out ./out/memento-mori-2.svg,$(simplified_svg)))
in_yaml   := $(wildcard ./data/*.yaml)
json_from_data := $(patsubst ./data/%.yaml,./out/vfs/%.json,$(in_yaml))
copyright := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.copyright) ./data/copyright)
dot_in    := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.in))
desktop   := $(patsubst ./runtime/%.in,./out/%,$(wildcard ./runtime/*.desktop.in))

launcher_json := $(patsubst ./runtime/launch-%.yaml.in,./out/launch-%.json,$(wildcard ./runtime/launch-*.yaml.in))
launcher_desktops := \
	out/unreal.desktop \
	out/unreal-gold.desktop \
	out/ut99.desktop \
	$(NULL)

quake_layer_sizes = 16 22 32 48 256

quake_icons = \
	out/24/quake.png \
	out/24/quake-armagon.png \
	out/24/quake-dissolution.png \
	out/24/quake2.png \
	out/24/quake2-reckoning.png \
	out/24/quake2-groundzero.png \
	out/24/quake4.png \
	out/quake.svg \
	out/quake-armagon.svg \
	out/quake-dissolution.svg \
	out/quake2.svg \
	out/quake2-reckoning.svg \
	out/quake2-groundzero.svg \
	out/256/quake3.png \
	out/256/quake3-team-arena.png \
	out/quake4.svg \
	out/48/quake3.png \
	out/48/quake3-team-arena.png \
	$(patsubst %,out/%/quake.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake-armagon.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake-dissolution.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2-reckoning.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2-groundzero.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake4.png,$(quake_layer_sizes)) \
	$(NULL)

all: $(png) $(svgz) $(json_from_data) $(launcher_json) \
      $(copyright) $(dot_in) $(desktop) $(quake_icons) \
      out/bash_completion out/changelog.gz \
      out/game-data-packager out/vfs.zip out/memento-mori-2.svg

configure.mk: configure game_data_packager/version.py
	./config.status

out/CACHEDIR.TAG:
	@mkdir -p out
	( echo "Signature: 8a477f597d28d17""2789f06886806bc55"; \
	echo "# This file marks this directory to not be backed up."; \
	echo "# For information about cache directory tags, see:"; \
	echo "#	http://www.brynosaurus.com/cachedir/" ) > $@

$(copyright) $(dot_in): out/%: data/% out/CACHEDIR.TAG
	if [ -L $< ]; then cp -a $< $@ ; else install -m644 $< $@ ; fi

$(json_from_data): out/vfs/%.json: data/%.yaml tools/compile_yaml.py out/CACHEDIR.TAG
	@mkdir -p out/vfs
	$(PYTHON) tools/compile_yaml.py $< $@

out/vfs.zip: $(json_from_data)
	rm -f out/vfs.zip
	chmod 0644 out/vfs/*
	if [ -n "$(SOURCE_DATE_EPOCH)" ]; then \
		touch --date='@$(SOURCE_DATE_EPOCH)' out/vfs/*; \
	fi
	cd out/vfs && ls -1 | LC_ALL=C sort | \
		env TZ=UTC zip ../vfs.zip -9 -X -q -@

out/bash_completion: $(in_yaml) out/CACHEDIR.TAG
	$(PYTHON) tools/bash_completion.py > ./out/bash_completion
	chmod 0644 ./out/bash_completion

out/changelog.gz: debian/changelog out/CACHEDIR.TAG
	gzip -nc9 debian/changelog > ./out/changelog.gz
	chmod 0644 ./out/changelog.gz

out/game-data-packager: run out/CACHEDIR.TAG
	install run out/game-data-packager

$(simplified_svg): out/%.svg: data/%.svg out/CACHEDIR.TAG
	inkscape --export-plain-svg=$@ $<

out/memento-mori.svg: data/memento-mori-2.svg out/CACHEDIR.TAG
	inkscape --export-plain-svg=$@ --export-id=layer1 --export-id-only $<

out/memento-mori.png: out/memento-mori.svg
	inkscape --export-png=$@ -w96 -h96 $<

$(png_from_xpm): out/%.png: data/%.xpm out/CACHEDIR.TAG
	convert $< $@

$(png_from_svg): out/%.png: data/%.svg out/CACHEDIR.TAG
	inkscape --export-png=$@ -w96 -h96 $<

$(svgz): out/%.svgz: out/%.svg
	gzip -nc $< > $@

out/quake.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake.svg
	rm -f out/tmp/quake.svg

out/quake-%.svg: out/tmp/recolour-%.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake-$*.svg
	rm -f out/tmp/quake-$*.svg

out/quake2.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake2.svg
	rm -f out/tmp/quake2.svg

out/quake4.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake4-256']" < $< > out/tmp/quake4.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake4.svg
	rm -f out/tmp/quake4.svg

out/quake2-%.svg: out/tmp/recolour-%.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake2-$*.svg
	rm -f out/tmp/quake2-$*.svg

out/256/quake3.png: data/quake3-tango.xcf out/CACHEDIR.TAG
	install -d out/256
	# fallback, result is similar, yet different
	if command -v xcf2png > /dev/null ; then \
	  xcf2png -o $@ $< ;\
	else \
	  convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
	fi

out/256/quake3-team-arena.png: data/quake3-teamarena-tango.xcf out/CACHEDIR.TAG
	install -d out/256
	if command -v xcf2png > /dev/null ; then \
          xcf2png -o $@ $< ;\
	else \
          convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
	fi

out/48/quake3.png: out/256/quake3.png out/CACHEDIR.TAG
	install -d out/48
	convert -resize 48x48 $< $@

out/48/quake3-team-arena.png: out/256/quake3-team-arena.png out/CACHEDIR.TAG
	install -d out/48
	convert -resize 48x48 $< $@

out/tmp/recolour-dissolution.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#c17d11/#999984/' \
		-e 's/#d5b582/#dede95/' \
		-e 's/#5f3b01/#403f31/' \
		-e 's/#e9b96e/#dede95/' \
		< $< > $@

out/tmp/recolour-armagon.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#c17d11/#565248/' \
		-e 's/#d5b582/#aba390/' \
		-e 's/#5f3b01/#000000/' \
		-e 's/#e9b96e/#aba390/' \
		< $< > $@

out/tmp/recolour-reckoning.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#3a5a1e/#999984/' \
		-e 's/#73ae3a/#eeeeec/' \
		-e 's/#8ae234/#eeeeec/' \
		-e 's/#132601/#233436/' \
		< $< > $@

out/tmp/recolour-groundzero.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#3a5a1e/#ce5c00/' \
		-e 's/#73ae3a/#fce94f/' \
		-e 's/#8ae234/#fce94f/' \
		-e 's/#132601/#cc0000/' \
		< $< > $@

out/24/quake.png: out/22/quake.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake-%.png: out/22/quake-%.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake2.png: out/22/quake2.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake4.png: out/22/quake4.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake2-%.png: out/22/quake2-%.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

$(patsubst %,out/%/quake.png,$(quake_layer_sizes)): out/%/quake.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake-armagon.png,$(quake_layer_sizes)): out/%/quake-armagon.png: out/tmp/recolour-armagon.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake-dissolution.png,$(quake_layer_sizes)): out/%/quake-dissolution.png: out/tmp/recolour-dissolution.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2.png,$(quake_layer_sizes)): out/%/quake2.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake4.png,16 22 32): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:32:32 \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-32 \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake4.png,48 256): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2-reckoning.png,$(quake_layer_sizes)): out/%/quake2-reckoning.png: out/tmp/recolour-reckoning.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2-groundzero.png,$(quake_layer_sizes)): out/%/quake2-groundzero.png: out/tmp/recolour-groundzero.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(launcher_json): out/launch-%.json: out/launch-%.yaml
	$(PYTHON) tools/yaml2json.py $< $@

$(desktop) $(patsubst %.json,%.yaml,$(launcher_json)): out/%: runtime/%.in out/CACHEDIR.TAG
	PYTHONPATH=. $(PYTHON) tools/expand_vars.py $< $@

clean:
	rm -fr out
	rm -rf game_data_packager/__pycache__
	rm -rf game_data_packager/games/__pycache__
	rm -rf game_data_packager/packaging/__pycache__
	rm -rf game_data_packager/unpack/__pycache__
	rm -rf tools/__pycache__

distclean: clean
	rm -f configure.mk config.status

check:
	set -e; \
	for x in tests/*.py tools/check_equivalence.py tools/check_syntax.py; do \
		case "$$x" in \
			(*/__init__.py) \
				continue;; \
		esac; \
		ln -sf ../../"$$x" debian/tests/"$$(basename "$${x%.py}" | tr _ -)"; \
	done
	LC_ALL=C.UTF-8 $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tests/*.py tools/*.py || :
	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/deb.py
	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/hashed_file.py
	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/integration.py
	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/rpm.py

=== debian/changelog ===
game-data-packager (58) unstable; urgency=medium

  * Support for new languages and versions:
    - hexen2: Support patching version 1.03 to 1.11 (Closes: #733750)
      [smcv]
  * Bug fixes:
    - build: If an xdelta/xdelta3 delta (or the first part of a
      multi-part archive) is downloadable, but the file to patch
      (or a subsequent part) isn't, correctly work out that the result
      of patching (or the archive contents) cannot be obtained [smcv]
    - make-template: Don't crash on encountering README.txt in a
      tarball [smcv]
    - hexen2: List English Wikipedia page [smcv]
    - keen4: fix fallback download URL [adetiste]
    - quake3: Set long name for Threewave CTF [smcv]
    - rpm: Write out Conflicts tag for mutually exclusive packages
      [adetiste]
    - data: Use https in more places [smcv]
  * Internal changes:
    - build: Add support for xdelta3 patches [smcv, adetiste]
    - Apply Debianisms to package descriptions while building packages,
      not in the source data [smcv]
    - data: Blank lines in help text don't need escaping with a dot
      [smcv]
    - descent1: Remove dots from blank lines in copyright text [smcv]
    - tools: Improve robustness of mirror.py [adetiste]

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Jan 2018 18:39:44 +0000

game-data-packager (57) unstable; urgency=medium

  * Bug fixes:
    - morrowind: Exclude a few files from morrowind-complete-gog-extras
      that are already in morrowind-complete-en-plugins, preventing
      co-installation
    - morrowind: Install Vo/Misc/tr_alm*.mp3 into Sounds/Vo/Misc/, fixing
      a regression in v56
    - quake: Only try to install one instance of licinfo.txt
    - sam-and-max: Only try to install one instance of manual.pdf
    - core: Improve consistency checks so we verify that all packages
      are co-installable, or have metadata indicating that they are
      not co-installable

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jan 2018 10:20:11 +0000

game-data-packager (56) unstable; urgency=medium

  * Support for new languages and versions:
    - Laura Bow2 - The Dagger of Amon Ra: add description
      of GOG.com archive; fix autodownloading [adetiste]
    - morrowind: GOG.com archive (Closes: #882491) [smcv]
    - morrowind: Official "plugins" (free addons), provided by GOG but
      also available separately from Bethesda's CDN [smcv]
  * Enhancements and bug fixes:
    - brokensword25: Mark as a fan-made game [smcv]
    - loom: add support for MT-32 update [Dmitry Eremin-Solenikov]
      (Closes: #886699)
    - maniacmansion: Mark as available on Steam (if you have this game
      on Steam, please tell us which directory in steamapps/common it
      uses) [adetiste]
    - morrowind: Normalize case of single-letter directory names, so
      that files that should be together stay together [smcv]
    - quake3: Drop Recommends for xmessage|zenity|kdialog, no longer
      invoked directly from code in this package [smcv]
    - Fix a typo in previous changelog entry [adetiste]
    - Add missing bug reference for #876321 in previous changelog entry
      [adetiste]
    - Fix a regression where g-d-p could no longer rip CD audio. Thanks
      to Paul Preuss for locating the relevant commit.
      (Closes: #886965) [smcv]
    - `g-d-p make-template` now appears in --help output [smcv]
    - Make `g-d-p make-template` able to merge new versions into existing
      games (the result is very rough and will usually need editing, but
      is much less tedious than doing the merge by hand) [smcv]
    - Enhance `g-d-p make-template` to produce more informative templates
      (in particular listing multiple directories provided on the command
      line as separate groups), and share more code with the rest of
      g-d-p [smcv]
    - Teach `g-d-p make-template` to be able to load templates produced
      by earlier versions (sometimes with some prior editing) when the
      files from which the template was produced are not available [smcv]
    - Skip memory-hungry check_equivalence.py during Debian package build
      [smcv]
    - Add autopkgtests [smcv]
  * Internal changes:
    - Move GameData object to g_d_p.game to avoid an interpreter
      warning [smcv]
    - doom, laura-bow2: Reformat data files [smcv, adetiste]
    - Declare compliance with Debian Policy 4.1.3 [smcv]
    - Use debhelper compat level 11 [smcv]
      + Override dh_installsystemd instead of dh_installinit,
        dh_systemd_enable and dh_systemd_start
      + Rely on dh_installsystemd to install instanced systemd units
    - d/rules: Use dh_missing --fail-missing instead of dh_install
      --fail-missing [smcv]
    - d/control: Wrap and sort Suggests [smcv]
    - d/copyright: Fix some lintian warnings [smcv]
    - d/control: Change Vcs-* to salsa.debian.org [smcv]

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2018 10:22:11 +0000

game-data-packager (55) unstable; urgency=medium

  * New game support:
    - Broken Sword 2: The Smoking Mirror (Closes: #884685)
      [Dmitry Eremin-Solenikov, smcv]
    - Broken Sword 2.5, a fan-made sequel to Broken Sword (Closes: #884708)
      [Dmitry Eremin-Solenikov]
    - quake: add Abyss of Pandemonium, a formerly-commercial third party
      expansion (Closes: #800505) [smcv]
    - quake3: add Threewave CTF [smcv]
  * Support for new languages and versions:
    - brokensword1: Add support for the version now provided as free DLC
      for the Director's Cut on Steam (Closes: #884684)
      [Dmitry Eremin-Solenikov]
    - doom3: Doom 3 BFG from GOG.com. Thanks, Brice Terzaghi
      (Closes: #873504) [adetiste]
    - ut99: Game of the Year Edition (version 432) CDs (Closes: #884826)
      [Dmitry Eremin-Solenikov]
  * Enhancements and bug fixes:
    - Add support for expansions that are only downloaded if specifically
      requested, or if an important file from that expansion is found
      (Closes: #775080) [smcv]


=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <alexandre.detiste@gmail.com>,
 David Banks <amoebae@gmail.com>,
 Jack Coulter <jscinoz@gmail.com>,
 Jonathan Dowland <jmtd@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 bash-completion,
 dbus,
 debhelper (>= 11~),
 dh-apparmor,
 dh-python,
 imagemagick,
 inkscape,
 pyflakes3 | pyflakes (<< 1.1.0),
 python3,
 python3-debian,
 python3-yaml,
 xcftools,
 xmlstarlet,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
Homepage: https://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Depends:
 dpkg (>= 1.19.0) | fakeroot,
 python3-debian,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 game-data-packager-runtime,
Suggests:
 arj,
 binutils,
 cabextract,
 cdparanoia,
 dynamite (>= 0.1.1-2),
 gcc,
 gdebi | gdebi-kde,
 gir1.2-gdkpixbuf-2.0,
 innoextract,
 lgc-pg,
 lgogdownloader,
 lhasa | jlha-utils | lzh-archiver,
 make,
 p7zip-full,
 steam,
 steamcmd,
 unace-nonfree,
 unar,
 unrar,
 unshield,
 unzip,
 vorbis-tools,
 xdelta,
 xdelta3,
Breaks:
 lgogdownloader (<< 2.26-1~),
Architecture: all
Multi-Arch: foreign
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for:
 .
  * 3 Skulls of the Toltecs
  * A Mind Forever Voyaging
  * Amazon: Guardians of Eden
  * Arthur: the Quest for Excalibur
  * Arx Fatalis
  * Baldur's Gate 1 and 2
  * Ballyhoo
  * Bargon Attack
  * Beavis and Butthead in Virtual Stupidity
  * The Bizarre Adventures of Woodruff and the Schnibble
  * The Black Cauldron
  * Blake Stone and Planet Strike
  * Blue Force
  * Border Zone
  * Castle of Dr. Brain and The Island of Dr. Brain
  * Broken Sword
  * Bureaucracy
  * Chex Quest and Chex Quest 2
  * Chivalry is Not Dead
  * Codename: ICEMAN
  * Commander Keen 4 to 6
  * Conquests of Camelot: The Search for the Grail
  * Conquests of the Longbow: The Legend of Robin Hood
  * Cruise for a Corpse
  * Cutthroats
  * Deadline
  * Descent 1 and 2
  * The Dig
  * Discworld 1 and 2
  * Doom, The Ultimate Doom, Doom 2, The Master Levels for Doom 2, Final Doom
  * Doom 3 and BFG Edition
  * Dračí Historie
  * Dreamweb
  * Duke Nukem 3D
  * Dune 2: Battle for Arrakis
  * EcoQuest 1 and 2
  * The Elder Scrolls 3: Morrowind
  * Elvira 1 and 2
  * Enchanter
  * Enclosure
  * Eye of the Beholder 1 and 2
  * The Feeble Files
  * Freddy Pharkas: Frontier Pharmacist
  * Freespace 2
  * Full Throttle
  * Future War (Les Voyageurs du Temps)
  * Gobliiins 1, 2 and 3
  * Gold Rush!
  * Grim Fandango
  * HacX
  * Hank's Quest
  * Heretic, Hexen and Hexen 2
  * Heroes of Might & Magic 3
  * The Hitchhiker's Guide to the Galaxy
  * Hollywood Hijinx
  * Hopkins FBI
  * Hoyle's Official Book of Games
  * Hugo's House of Horrors, Hugo 2, Hugo 3
  * Icewind Dale 1 and 2
  * Indiana Jones and the Fate of Atlantis
  * Infidel
  * Inherit the Earth
  * James Clavell's Shōgun
  * Jones in the Fast Lane
  * Journey: Part One of the Golden Age Trilogy
  * King's Quest 1 to 7
  * The Labyrinth of Time
  * Lands of Lore: The Throne of Chaos
  * Laura Bow 1 and 2
  * Leather Goddesses of Phobos 1 and 2
  * Legend of Kyrandiar 1, 2 and 3
  * Leisure Suit Larry 1, 2, 3, 5 and 6
  * LGeneral (Panzer General)
  * Lost in Time
  * The Lurking Horror
  * The Manhole
  * Manhunter 1 and 2
  * Maniac Mansion and Day of the Tentacle
  * Mixed-Up Mother Goose & Mixed-Up Fairy Tales
  * Monkey Island 1, 2 and 3
  * Moonmist
  * Mortville Manor
  * Myst: Masterpiece Edition
  * Mystery House
  * The Neverhood
  * Nippon Safes Inc.
  * Nord and Bert Couldn't Make Head or Tail of It
  * Once Upon A Time: Little Red Riding Hood
  * Pajama Sam series
  * Personal Nightmare
  * Planescape: Torment
  * Planetfall
  * Plundered Hearts
  * Police Quest 1 to 4
  * Quake, Quake 2, Quake 3 Arena, Quake 4, Enemy Territory: Quake Wars
  * Quest For Glory 1, 2 and 3
  * Rex Nebular and the Cosmic Gender Bender
  * Ringworld 1 and 2
  * Rise of the Triad
  * Rodney's Funscreen
  * Sam & Max Hit the Road
  * Seastalker
  * Sfinx
  * The Lost Files of Sherlock Holmes: The Case of the Serrated Scalpel
  * The Lost Files of Sherlock Holmes: The Case of the Rose Tattoo
  * Sherlock: The Riddle of the Crown Jewels
  * Simon the Sorcerer 1, 2 and Puzzle Pack
  * Slater & Charlie Go Camping
  * Soltys
  * Sorcerer
  * Space Quest 1 to 6
  * Spellbreaker
  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
  * Starcross
  * Stationfall
  * Strife
  * Suspect
  * Suspended
  * Syndicate
  * Super 3D Noah's Ark
  * Theme Hospital
  * Tony Tough and the Night of Roasted Moths
  * Toonstruck
  * Touché: The Adventures of the Fifth Musketeer
  * Transport Tycoon Deluxe
  * Trinity
  * Troll's Tale
  * Tyrian
  * Ultima VII
  * Unreal, Unreal Gold and Unreal Tournament (1999)
  * Urban Runner
  * Ween: The Prophecy
  * Winnie the Pooh in the Hundred Acre Wood
  * Wishbringer
  * Witness
  * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
  * Wolfenstein: Enemy Territory
  * X-COM: UFO Defense
  * Zork 1, 2 and 3, Beyond Zork, Zork Zero, Return to Zork, Zork: The
    Undiscovered Underground
  * Zork Grand Inquisitor and Zork Nemesis

Package: etqw
Architecture: i386
Depends:
 etqw-bin | game-data-packager (>= 44),
 game-data-packager-runtime,
 ${misc:Depends},
Suggests:
 etqw-pb-bin,
Description: science-fiction-themed multiplayer first person shooter
 Enemy Territory: Quake Wars is a multiplayer first-person shooter game
 by Splash Damage and id Software, released in 2007.
 This package contains a launcher script and menu entry to play
 ETQW using the proprietary x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: etqw-server
Architecture: i386
Depends:
 adduser,
 etqw-bin | game-data-packager (>= 44),
 etqw-data | game-data-packager (>= 44),
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 systemd-sysv,
Suggests:
 etqw-pb-bin,
Description: dedicated server for Enemy Territory: Quake Wars
 This package contains a launcher script and systemd unit to run a
 Enemy Territory: Quake Wars server using the proprietary
 x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To mitigate any security flaws that might exist in this server,
 the systemd unit is not enabled by default, and must be enabled
 with systemctl if it should start at boot time. The systemd unit
 uses various security hardening options to prevent the server from
 escalating its privileges. There is no sysvinit script,
 since sysvinit does not provide similar security hardening.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: game-data-packager-runtime
Depends:
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 game-data-packager (<< 46~),
Replaces:
 game-data-packager (<< 46~),
Architecture: all
Multi-Arch: foreign
Description: Launcher for proprietary games
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 Some of the games supported by game-data-packager need to be
 started by a special launcher script that will create symbolic
 links or do other setup. This package contains those launcher
 scripts.
 .
 The following games currently require this package:
 .
  * Doom 2: The Master Levels
  * Quake series
  * Unreal
  * Unreal Gold

Package: quake
Architecture: all
Depends:
 game-data-packager-runtime,
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine,
 ${misc:Depends},
Suggests:
 quake-armagon (>= 29),
 quake-armagon-music,
 quake-dissolution (>= 29),
 quake-dissolution-music,
 quake-dopa (>= 45),
 quake-music,
Description: classic gothic/horror-themed first person shooter
 Quake is a classic first-person shooter game by id Software,
 released in 1996. This package contains a launcher script and menu
 entry to play Quake with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
 .
 Creating quake-registered requires data files from a Quake installation or
 CD-ROM.
 .
 Creating quake-shareware requires the shareware version of Quake.
 .
 game-data-packager (>= 45) can also produce packages for the official Episode
 5, Dimensions of the Past (developed by MachineGames to mark Quake's 20th
 anniversary), and for the official mission
 packs Scourge of Armagon (developed by Hipnotic Software) and Dissolution
 of Eternity (developed by Rogue Entertainment). Additional menu entries
 should appear automatically if those expansions are installed.

Package: quake-server
Architecture: all
Depends:
 adduser,
 lsb-base (>= 3.0-6),
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine-server,
 ${misc:Depends},
 ${python3:Depends},
Description: classic first person shooter - server and init script
 This package contains a launcher script and init script to run a
 Quake 1 server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.

Package: quake2
Architecture: all
Depends:
 game-data-packager-runtime,
 quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
 yamagi-quake2 | quake2-engine,
 ${misc:Depends},
Suggests:
 quake2-groundzero,
 quake2-music,
 quake2-reckoning,
Recommends:
 game-data-packager (>= 39),
Description: classic science-fiction-themed first person shooter
 Quake II is a classic first-person shooter game by id Software,
 released in 1997. This package contains a launcher script and menu
 entry to play Quake II with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.
 .
 game-data-packager (>= 39) can also produce packages for the official mission
 packs The Reckoning (developed by Xatrix Entertainment) and Ground Zero
 (developed by Rogue Entertainment). Additional menu entries should
 appear automatically if those expansions are installed.

Package: quake2-server
Architecture: all
Depends:
 adduser,
 lsb-base (>= 3.0-6),
 quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
 yamagi-quake2-core | quake2-engine-server,

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
export DH_OPTIONS

include /usr/share/dpkg/pkg-info.mk

%:
	mkdir -p $(HOME)
	dh $@ --with python3,bash-completion

# Redirect Inkscape log files, etc. to a temporary directory
export HOME = $(CURDIR)/debian/temp-home
export XDG_CACHE_HOME = $(CURDIR)/debian/temp-home/.cache
export XDG_CONFIG_HOME = $(CURDIR)/debian/temp-home/.config
export XDG_DATA_HOME = $(CURDIR)/debian/temp-home/.local/share
# Disable tests that are not appropriate at build-time
export DEB_BUILD_TIME_TESTS = 1

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		--bindir='$${exec_prefix}/games' \
		--libdir='$${exec_prefix}/lib' \
		--with-gamedatadir='$${datadir}/games' \
		$(NULL)

override_dh_auto_build:
	dbus-run-session -- dh_auto_build \
		-- \
		$(NULL)

override_dh_auto_install:
	dh_auto_install \
		-- \
		$(NULL)

override_dh_auto_clean:
	dh_auto_clean
	@if [ "`echo *.deb`" != "*.deb" ]; then \
		echo; \
		echo "*************************************************"; \
		echo "Cannot create source package with these here:"; \
		ls *.deb; \
		echo "*************************************************"; \
		echo; \
		exit 1; \
	fi
	debian/copyright.py

override_dh_install:
	dh_install
	if dpkg-vendor --derives-from Ubuntu; then \
		install -d debian/game-data-packager/usr/share/games/game-data-packager; \
		touch debian/game-data-packager/usr/share/games/game-data-packager/is-ubuntu-derived; \
	fi
	dh_apparmor -pgame-data-packager-runtime --profile-name=usr.lib.unreal
	dh_apparmor -pquake4 --profile-name=usr.lib.quake4.quake4.x86
	dh_apparmor -pquake4-server --profile-name=usr.lib.quake4.q4ded.x86

override_dh_missing:
	dh_missing --fail-missing

override_dh_installdocs:
	dh_installdocs -XTODO

override_dh_installsystemd:
	dh_installsystemd -pquake4-server --no-enable --no-start
	dh_installsystemd -petqw-server --no-enable --no-start
	dh_installsystemd --remaining-packages

override_dh_python3:
	dh_python3
	dh_python3 -pquake-server /usr/share/games/quake
	dh_python3 -pquake2-server /usr/share/games/quake2
	dh_python3 -pquake3-server /usr/share/games/quake3
	dh_python3 -pquake4-server /usr/share/games/quake4
	dh_python3 -petqw-server /usr/lib/etqw

=== debian/tests/control ===
Tests: check-equivalence
Depends: game-data-packager
Restrictions: allow-stderr, x-gdp-memory-hungry

Tests: check-syntax deb hashed-file integration rpm umod
Depends: game-data-packager
Restrictions: allow-stderr

## game-data-packager 59

=== debian/changelog ===
game-data-packager (59) unstable; urgency=medium

  * Support for new languages and versions:
    - Broken Sword 1: add GOG.com url [adetiste]
    - Maniac Mansion: add GOG.com url [adetiste]
    - The Curse of Monkey Island: add Steam and GOG.com url [adetiste]
  * Bug fixes:
    - Simon the Sorcerer 1 and 2: update GOG.com URL for automatic download
      (Closes: #893909) [Dmitry Eremin-Solenikov]
    - Pajama Sam's Sock Works: fix SteamID for autodetection [adetiste]
    - Unreal Tournament (1999): Add missing dependency on
      gdp-runtime (>= 50~) (Closes: #890612) [smcv]
    - Quake series, Unreal: Version dependencies on gdp-runtime [smcv]
    - Quake: Download pre-ripped CD tracks from qaddicted.com if requested
      (Closes: #886996) [smcv]
    - Quake II: Install pre-ripped CD tracks from gog.com (Closes: #800622)
      or from Steam Community if downloaded separately with a
      browser (#886996) [smcv]
    - Heroes of Might and Magic III: Replace the Windows demo (which does
      not work with vcmi) with the Mac demo (which can be made to work)
      [Johannes Schauer, adetiste]
    - debian: Add versioned Recommends/Breaks to gdp so gdp-runtime
      is upgraded in lockstep [smcv]
  * Internal changes:
    - Heroes of Might and Magic III: Install to /usr/share/games/vcmi
      [Johannes Schauer]
    - innoextract: Remove special handling of '$provides' in to_unpack;
      games should set the look_for attribute on files instead [adetiste]
    - Add distinctive_name to the list of attributes that are propagated
      from file groups to files [smcv]
    - quake, quake2: Refactor how CD tracks are dealt with [smcv]
    - Arch Linux: Automatically upgrade backport-friendly dependencies
      like foo (>= 1.0~) to foo (>= 1.0) since Arch Linux does not support
      the dpkg/rpm meaning for '~' [smcv]
    - tools: add a new tool to compare the YAML database with the
      ScummVM wiki [adetiste]

 -- Simon McVittie <smcv@debian.org>  Thu, 10 May 2018 10:48:35 +0100

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- game-data-packager-runtime,
+ game-data-packager-runtime (>= ${source:Version}),
 Suggests:
  arj,
  binutils,
@@ -64,6 +64,7 @@
  xdelta,
  xdelta3,
 Breaks:
+ game-data-packager-runtime (<< ${source:Version}),
  lgogdownloader (<< 2.26-1~),
 Architecture: all
 Multi-Arch: foreign
@@ -226,7 +227,7 @@
 Architecture: i386
 Depends:
  etqw-bin | game-data-packager (>= 44),
- game-data-packager-runtime,
+ game-data-packager-runtime (>= ${source:Version}),
  ${misc:Depends},
 Suggests:
  etqw-pb-bin,
@@ -313,7 +314,7 @@
 Package: quake
 Architecture: all
 Depends:
- game-data-packager-runtime,
+ game-data-packager-runtime (>= ${source:Version}),
  quake-registered | quake-shareware | game-data-packager,
  quakespasm | quake-engine,
  ${misc:Depends},
@@ -365,7 +366,7 @@
 Package: quake2
 Architecture: all
 Depends:
- game-data-packager-runtime,
+ game-data-packager-runtime (>= ${source:Version}),
  quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
  yamagi-quake2 | quake2-engine,
  ${misc:Depends},
@@ -394,6 +395,3 @@
 Architecture: all
 Depends:
  adduser,
- lsb-base (>= 3.0-6),
- quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
- yamagi-quake2-core | quake2-engine-server,

## game-data-packager 63

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,9 @@
 # in all GTK-based environments.
 svgz      := $(patsubst ./out/%.svg,./out/%.svgz,$(filter-out ./out/memento-mori-2.svg,$(simplified_svg)))
 in_yaml   := $(wildcard ./data/*.yaml)
+test_yaml   := $(wildcard ./tests/data/*.yaml)
 json_from_data := $(patsubst ./data/%.yaml,./out/vfs/%.json,$(in_yaml))
+json_from_tests := $(patsubst ./tests/data/%.yaml,./out/tests/vfs/%.json,$(test_yaml))
 copyright := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.copyright) ./data/copyright)
 dot_in    := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.in))
 desktop   := $(patsubst ./runtime/%.in,./out/%,$(wildcard ./runtime/*.desktop.in))
@@ -61,8 +63,10 @@
 
 all: $(png) $(svgz) $(json_from_data) $(launcher_json) \
       $(copyright) $(dot_in) $(desktop) $(quake_icons) \
+      $(json_from_tests) \
       out/bash_completion out/changelog.gz \
-      out/game-data-packager out/vfs.zip out/memento-mori-2.svg
+      out/game-data-packager out/vfs.zip out/memento-mori-2.svg \
+      out/tests/changelog.gz out/tests/vfs.zip out/tests/copyright
 
 configure.mk: configure game_data_packager/version.py
 	./config.status
@@ -79,10 +83,14 @@
 
 $(json_from_data): out/vfs/%.json: data/%.yaml tools/compile_yaml.py out/CACHEDIR.TAG
 	@mkdir -p out/vfs
-	$(PYTHON) tools/compile_yaml.py $< $@
+	PYTHONPATH=$(CURDIR) $(PYTHON) tools/compile_yaml.py $< $@
+
+$(json_from_tests): out/tests/vfs/%.json: tests/data/%.yaml tools/compile_yaml.py out/CACHEDIR.TAG
+	@mkdir -p out/tests/vfs
+	PYTHONPATH=$(CURDIR) $(PYTHON) tools/compile_yaml.py $< $@
 
 out/vfs.zip: $(json_from_data)
-	rm -f out/vfs.zip
+	rm -f $@
 	chmod 0644 out/vfs/*
 	if [ -n "$(SOURCE_DATE_EPOCH)" ]; then \
 		touch --date='@$(SOURCE_DATE_EPOCH)' out/vfs/*; \
@@ -90,6 +98,15 @@
 	cd out/vfs && ls -1 | LC_ALL=C sort | \
 		env TZ=UTC zip ../vfs.zip -9 -X -q -@
 
+out/tests/vfs.zip: $(json_from_tests)
+	rm -f $@
+	chmod 0644 out/tests/vfs/*
+	if [ -n "$(SOURCE_DATE_EPOCH)" ]; then \
+		touch --date='@$(SOURCE_DATE_EPOCH)' out/tests/vfs/*; \
+	fi
+	cd out/tests/vfs && ls -1 | LC_ALL=C sort | \
+		env TZ=UTC zip ../vfs.zip -9 -X -q -@
+
 out/bash_completion: $(in_yaml) out/CACHEDIR.TAG
 	$(PYTHON) tools/bash_completion.py > ./out/bash_completion
 	chmod 0644 ./out/bash_completion
@@ -97,6 +114,10 @@
 out/changelog.gz: debian/changelog out/CACHEDIR.TAG
 	gzip -nc9 debian/changelog > ./out/changelog.gz
 	chmod 0644 ./out/changelog.gz
+
+out/tests/changelog.gz out/tests/copyright: out/tests/%: out/%
+	@mkdir -p out/tests
+	cp -a $< $@
 
 out/game-data-packager: run out/CACHEDIR.TAG
 	install run out/game-data-packager
@@ -325,7 +346,7 @@
 		$<
 
 $(launcher_json): out/launch-%.json: out/launch-%.yaml
-	$(PYTHON) tools/yaml2json.py $< $@
+	PYTHONPATH=$(CURDIR) $(PYTHON) tools/yaml2json.py $< $@
 
 $(desktop) $(patsubst %.json,%.yaml,$(launcher_json)): out/%: runtime/%.in out/CACHEDIR.TAG
 	PYTHONPATH=. $(PYTHON) tools/expand_vars.py $< $@
@@ -334,24 +355,3 @@
 	rm -fr out
 	rm -rf game_data_packager/__pycache__
 	rm -rf game_data_packager/games/__pycache__
-	rm -rf game_data_packager/packaging/__pycache__
-	rm -rf game_data_packager/unpack/__pycache__
-	rm -rf tools/__pycache__
-
-distclean: clean
-	rm -f configure.mk config.status
-
-check:
-	set -e; \
-	for x in tests/*.py tools/check_equivalence.py tools/check_syntax.py; do \
-		case "$$x" in \
-			(*/__init__.py) \
-				continue;; \
-		esac; \
-		ln -sf ../../"$$x" debian/tests/"$$(basename "$${x%.py}" | tr _ -)"; \
-	done
-	LC_ALL=C.UTF-8 $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tests/*.py tools/*.py || :
-	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/deb.py
-	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/hashed_file.py
-	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/integration.py
-	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/rpm.py

=== debian/changelog ===
game-data-packager (63) unstable; urgency=medium

  * Bug fixes:
    - make_template: Correct 'provides' for partially-present groups
  * Internal changes:
    - xcom-ufo: Make SOUND/ROLAND.CAT optional and add more version info.
      Thanks to Timothy Allen.

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Feb 2019 19:47:29 +0000

game-data-packager (62) unstable; urgency=medium

  * New games:
    - jazz-jackrabbit: Add the Jazz Jackrabbit Collection, as published
      on GOG, for use with the openjazz package.
      Thanks to Fabian Greffrath (Closes: #902775) [smcv]
  * New languages and versions:
    - baldurs-gate-1, baldurs-gate-2, planescape-torment, teenagent:
      Add support for new GOG installers.
      Thanks to Roma Tentser
      (Closes: #913931, #913937, #913938, #913939) [smcv]
    - baldurs-gate-1: Add support for another GOG installer
      (Closes: #914548) [cacatoès]
    - kyrandia1: Add support for new GOG installer
      (Closes: #914528) [cacatoès]
    - xcom-ufo: Accept original GEODATA and original(?) ROLAND.CAT files
      from gog.com package, as an alternative to patched(?) files
      from Steam. Thanks to Timothy Allen
      (Closes: #916496) [smcv]
  * Bug fixes:
    - larry series: Stop treating larry-doc as an expansion; add a new
      documentation package type instead, and don't create .desktop files
      for those (Closes: #913911) [smcv]
    - wolf3d: Fix metadata describing how to unpack Apogee 1wolf14.zip
      [smcv]
    - rott, wolf3d: Fix download of shareware versions [smcv]
  * Internal changes:
    - tests/integration: Start to add a self-contained integration test.
      The old integration test is still present for now, but has been
      renamed to download_shareware. [smcv]
    - Declare compliance with Debian Policy 4.3.0 [smcv]

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Jan 2019 10:32:50 +0000

game-data-packager (61) unstable; urgency=medium

  * New languages and versions:
    - hexen2: Add yet another repacked version of
      hexen2demo_nov1997-linux-i586.tgz (LP: #1781449) [smcv]
  * Bug fixes:
    - lgeneral: Fix arguments of prepare_packages() [smcv]
    - quake: Fix detection of aopfm when launching Quake [smcv]
    - d/tests/integration: Require python3-gi [smcv]
    - d/control: Suggest python3-gi, required (along with
      gir1.2-gdkpixbuf-2.0) to resize icons for some games [smcv]

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Nov 2018 20:58:10 +0000

game-data-packager (60) unstable; urgency=medium

  * New games:
    - larry7: Add Leisure Suit Larry 7: Love for Sail.
      Thanks to Рома Тенцер (Closes: #902651) [smcv]
  * New languages and versions:
    - rott, wolf3d: Add support for downloading and unpacking the
      Apogee shareware versions [smcv]
    - rott: Uncomment 3D Realms mirror [smcv]
    - Leisure Suit Larry series: Add details of GOG Linux installers.
      Thanks to Рома Тенцер (Closes: #902580, #902581, #902583, #902584,
      #902586, #902656) [smcv]
    - Leisure Suit Larry 6: Add details of SVGA version.
      Thanks to Рома Тенцер (Closes: #902654) [smcv]
    - Loom: Add details of latest GOG Linux installer. (Closes: #902747)
      [skitt]
    - The Legend of Kyrandia: Add details of latest GOG installers.
      (Closes: #897594) [skitt]
  * Bug fixes:
    - d/control: Update gdp-runtime Description to reflect that ut99
      also requires it [smcv]
    - innoextract: Don't fail on space + git hash after version number
      (Closes: #902610) [smcv]
    - make_template, build: Don't limit innoextract to /app. This is
      less efficient, but some GOG installers now have useful contents
      outside /app (see #897594) [smcv]
    - freespace2: Host a copy of the necessary extra files on
      game-data-packager.debian.net [smcv]
    - quake4 AppArmor profile: Sync up with quake3 [smcv]
    - Remove details of defunct mirrors on Alioth (Closes: #911788) [smcv]
    - integration test: Correctly skip tests if file was not
      downloaded and no mirror was provided [smcv]
    - make-template: Fix various issues around --template, which imports
      an existing template [smcv]
    - innoextract: Only limit to one language if asked to do so, which
      should allow archives with language not "english" to be unpacked
      [smcv]
  * Internal changes:
    - Drop support for innoextract < 1.5, which is older than Debian
      stable [smcv]
    - Replace more anonscm.debian.org URLs with salsa.debian.org [smcv]
    - Declare compliance with Debian Policy 4.2.1 [smcv]
    - d/copyright: Add Disclaimer describing why this package is not
      part of Debian [smcv]
    - unpack, util: Adjust whitespace, mostly with autopep8 [smcv]
    - build, make_template: Factor out InnoSetup unpacker [smcv]
    - Rename rott-mirrors to 3drealms-mirrors [smcv]
    - game: Assert that all files that provide other files can be
      unpacked [smcv]
    - descent1: Remove unnecessary provides directive [smcv]
    - tests: Re-test with Python 3.5 if available, to avoid breaking
      the ability to run g-d-p on Debian stable [smcv]
    - Automatically fall back to SafeLoader if yaml has no CSafeLoader
      [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 04 Nov 2018 20:18:38 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  xmlstarlet,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager
@@ -47,12 +47,13 @@
  gcc,
  gdebi | gdebi-kde,
  gir1.2-gdkpixbuf-2.0,
- innoextract,
+ innoextract (>= 1.5),
  lgc-pg,
  lgogdownloader,
  lhasa | jlha-utils | lzh-archiver,
  make,
  p7zip-full,
+ python3-gi,
  steam,
  steamcmd,
  unace-nonfree,
@@ -310,6 +311,7 @@
   * Quake series
   * Unreal
   * Unreal Gold
+  * Unreal Tournament
 
 Package: quake
 Architecture: all
@@ -391,7 +393,3 @@
  (developed by Rogue Entertainment). Additional menu entries should
  appear automatically if those expansions are installed.
 
-Package: quake2-server
-Architecture: all
-Depends:
- adduser,
